<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'chemical',

    /*
     * Package.
     */
    'package'   => 'supplier',

    /*
     * Modules.
     */
    'modules'   => ['supplier'],

    
    'supplier'       => [
        'model' => [
            'model'                 => \Chemical\Supplier\Models\Supplier::class,
            'table'                 => 'suppliers',
            'presenter'             => \Chemical\Supplier\Repositories\Presenter\SupplierPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'premium',  'title',  'name',  'email',  'password',  'api_token',  'remember_token',  'permissions',  'status',  'mobile',  'phone',  'fax',  'supplier_type',  'company_type',  'contact_type',  'street_address1',  'street_address2',  'region_id',  'country_id',  'state_id',  'location_id',  'sublocation_id',  'zip',  'primary_url',  'import',  'export',  'producer_type',  'certifications',  'ecommerce',  'proof_of_manufacturing',  'certification_type',  'photo',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'supplier/supplier',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Chemical',
            'package'   => 'Supplier',
            'module'    => 'Supplier',
        ],

    ],
];
