<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSuppliersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: suppliers
         */
        Schema::create('suppliers', function ($table) {
            $table->increments('id');
            $table->tinyInteger('premium')->nullable();
            $table->string('title', 100)->nullable();
            $table->string('name', 100)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('password', 100)->nullable();
            $table->string('api_token', 60)->nullable();
            $table->string('remember_token', 255)->nullable();
            $table->longText('permissions')->nullable();
            $table->enum('status', ['New','Active','Suspended','Locked'])->nullable();
            $table->string('mobile', 100)->nullable();
            $table->string('phone', 100)->nullable();
            $table->string('fax', 255)->nullable();
            $table->enum('supplier_type', ['Manufacturers','Distributors'])->nullable();
            $table->string('company_type', 255)->nullable();
            $table->string('contact_type', 255)->nullable();
            $table->text('street_address1')->nullable();
            $table->text('street_address2')->nullable();
            $table->integer('region_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->string('zip', 255)->nullable();
            $table->string('primary_url', 255)->nullable();
            $table->tinyInteger('import')->nullable();
            $table->tinyInteger('export')->nullable();
            $table->string('producer_type', 255)->nullable();
            $table->text('certifications')->nullable();
            $table->tinyInteger('ecommerce')->nullable();
            $table->text('proof_of_manufacturing')->nullable();
            $table->string('certification_type', 255)->nullable();
            $table->string('photo', 500)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('suppliers');
    }
}
