<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for supplier in supplier package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  supplier module in supplier package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Supplier',
    'names'         => 'Suppliers',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Suppliers',
        'sub'   => 'Suppliers',
        'list'  => 'List of suppliers',
        'edit'  => 'Edit supplier',
        'create'    => 'Create new supplier'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['New','Active','Suspended','Locked'],
            'supplier_type'       => ['Manufacturers','Distributors'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'premium'                    => 'Please enter premium',
        'title'                      => 'Please enter title',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'password'                   => 'Please enter password',
        'api_token'                  => 'Please enter api token',
        'remember_token'             => 'Please enter remember token',
        'permissions'                => 'Please enter permissions',
        'status'                     => 'Please select status',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'fax'                        => 'Please enter fax',
        'supplier_type'              => 'Please select supplier type',
        'company_type'               => 'Please enter company type',
        'contact_type'               => 'Please enter contact type',
        'street_address1'            => 'Please enter street address1',
        'street_address2'            => 'Please enter street address2',
        'region_id'                  => 'Please enter region id',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'zip'                        => 'Please enter zip',
        'primary_url'                => 'Please enter primary url',
        'import'                     => 'Please enter import',
        'export'                     => 'Please enter export',
        'producer_type'              => 'Please enter producer type',
        'certifications'             => 'Please enter certifications',
        'ecommerce'                  => 'Please enter ecommerce',
        'proof_of_manufacturing'        => 'Please enter proof of manufacturing',
        'certification_type'         => 'Please enter certification type',
        'photo'                      => 'Please enter photo',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'premium'                    => 'Premium',
        'title'                      => 'Title',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'password'                   => 'Password',
        'api_token'                  => 'Api token',
        'remember_token'             => 'Remember token',
        'permissions'                => 'Permissions',
        'status'                     => 'Status',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'fax'                        => 'Fax',
        'supplier_type'              => 'Supplier type',
        'company_type'               => 'Company type',
        'contact_type'               => 'Contact type',
        'street_address1'            => 'Street address1',
        'street_address2'            => 'Street address2',
        'region_id'                  => 'Region id',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'zip'                        => 'Zip',
        'primary_url'                => 'Primary url',
        'import'                     => 'Import',
        'export'                     => 'Export',
        'producer_type'              => 'Producer type',
        'certifications'             => 'Certifications',
        'ecommerce'                  => 'Ecommerce',
        'proof_of_manufacturing'        => 'Proof of manufacturing',
        'certification_type'         => 'Certification type',
        'photo'                      => 'Photo',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'premium'                    => ['name' => 'Premium', 'data-column' => 1, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 2, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 3, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 4, 'checked'],
        'mobile'                     => ['name' => 'Mobile', 'data-column' => 5, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 6, 'checked'],
        'supplier_type'              => ['name' => 'Supplier type', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Suppliers',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
