<?php

namespace Chemical\Supplier\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SupplierTransformer extends TransformerAbstract
{
    public function transform(\Chemical\Supplier\Models\Supplier $supplier)
    {
        return [
            'id'                => $supplier->getRouteKey(),
            'key'               => [
                'public'    => $supplier->getPublicKey(),
                'route'     => $supplier->getRouteKey(),
            ], 
            'id'                => $supplier->id,
            'premium'           => $supplier->premium,
            'title'             => $supplier->title,
            'name'              => $supplier->name,
            'email'             => $supplier->email,
            'password'          => $supplier->password,
            'api_token'         => $supplier->api_token,
            'remember_token'    => $supplier->remember_token,
            'permissions'       => $supplier->permissions,
            'status'            => $supplier->status,
            'mobile'            => $supplier->mobile,
            'phone'             => $supplier->phone,
            'fax'               => $supplier->fax,
            'supplier_type'     => $supplier->supplier_type,
            'company_type'      => $supplier->company_type,
            'contact_type'      => $supplier->contact_type,
            'street_address1'   => $supplier->street_address1,
            'street_address2'   => $supplier->street_address2,
            'region_id'         => $supplier->region_id,
            'country_id'        => $supplier->country_id,
            'state_id'          => $supplier->state_id,
            'location_id'       => $supplier->location_id,
            'sublocation_id'    => $supplier->sublocation_id,
            'zip'               => $supplier->zip,
            'primary_url'       => $supplier->primary_url,
            'import'            => $supplier->import,
            'export'            => $supplier->export,
            'producer_type'     => $supplier->producer_type,
            'certifications'    => $supplier->certifications,
            'ecommerce'         => $supplier->ecommerce,
            'proof_of_manufacturing' => $supplier->proof_of_manufacturing,
            'certification_type' => $supplier->certification_type,
            'photo'             => $supplier->photo,
            'created_at'        => $supplier->created_at,
            'updated_at'        => $supplier->updated_at,
            'deleted_at'        => $supplier->deleted_at,
            'url'               => [
                'public'    => trans_url('supplier/'.$supplier->getPublicKey()),
                'user'      => guard_url('supplier/supplier/'.$supplier->getRouteKey()),
            ], 
            'status'            => trans('app.'.$supplier->status),
            'created_at'        => format_date($supplier->created_at),
            'updated_at'        => format_date($supplier->updated_at),
        ];
    }
}